package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.sop.business.bean.dto.DataPermissionDto;
import com.qmth.sop.business.bean.result.TBQualityProblemApplyResult;
import com.qmth.sop.business.entity.TBQualityProblemApply;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 质量问题反馈表 Mapper 接口.
 *
 * @author: shudonghui
 * @date: 2023-08-14 14:00:01
 * @version: 1.0
 * @email: shudonghui@qmth.com.cn
 * @Company: www.qmth.com.cn
 */
public interface TBQualityProblemApplyMapper extends BaseMapper<TBQualityProblemApply> {

    /**
     * 查询列表
     *
     * @param iPage
     * @param serviceId
     * @param userId
     * @param type
     * @param reason
     * @param degree
     * @param custom
     * @param problemNo
     * @param startTime
     * @param endTime
     * @param dpr
     * @return
     */
    IPage<TBQualityProblemApplyResult> query(IPage<Map> iPage, @Param("serviceId") Long serviceId, @Param("userId") Long userId, @Param("type") String type, @Param("reason") String reason, @Param("degree") String degree, @Param("custom") String custom, @Param("problemNo") String problemNo, @Param("startTime") Long startTime, @Param("endTime") Long endTime, @Param("dpr") DataPermissionDto dpr);
}